```@meta
CurrentModule = FractionalDiffEq
```

# FractionalDiffEq.jl

Hello there👋!

FractionalDiffEq.jl is a Julia package aiming at solving Fractional Differential Equations using high performance numerical methods.

## Installation

If you have already installed Julia, you can install FractionalDiffEq.jl in REPL using Julia package manager:

```julia
Pkg> add FractionalDiffEq
```

Or if you want to experience the latest version of FractionalDiffEq.jl:

```julia
Pkg> add FractionalDiffEq#master
```

## Features

1. While most fractional differential equations solvers are implemented using Matlab, **FractionalDiffEq.jl** is totally driven by [Julia](https://julialang.org/) and licensed with [MIT License](https://en.wikipedia.org/wiki/MIT_License), ensure its everlasting development and open source.

2. Benefit from the advancing features of JuliaLang, FractionalDiffEq.jl has impressing performance and high speed, help the model more efficient and robust.



## Roadmap

* More algorithms are planned to support.
* Improve benchmark.


## Contributing

The development of FractionalDiffEq.jl is on [GitHub](https://github.com/SciFracX/FractionalDiffEq.jl), please [report bugs](https://github.com/SciFracX/FractionalDiffEq.jl/issues) or [send pull requests](https://github.com/SciFracX/FractionalDiffEq.jl/pulls) to help FractionalDiffEq.jl grow.

## Acknowledge

**FractionalDiffEq.jl** is built upon the hard work of many scientific researchers, I sincerely appreciate what they have done to help the development of science and technology.

!!! info "WIP"
	FractionalDiffEq.jl is under heavy construction, some APIs or docs might change a lot.